Skip to main content
DocsAPI ReferenceAI Agents & Resources
Brand discoveries

Get brand discovery status and suggestions

View Markdown

Returns job status, starter prompts, the SEO competitor watchlist used for later answer detection, warnings, and charged credits. Free to poll.

GET/v1/brand-discoveries/{id}

Authorization

accessKey
x-access-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/brand-discoveries/string"
{
  "success": true,
  "data": {
    "id": "string",
    "brandId": "string",
    "status": "pending",
    "done": true,
    "maxPrompts": 0,
    "maxCompetitors": 0,
    "profile": null,
    "prompts": [
      {
        "text": "string",
        "topic": "string",
        "intent": "category",
        "provenance": "seo_data",
        "confidence": 0,
        "reason_codes": [
          "string"
        ]
      }
    ],
    "competitors": [
      {
        "name": "string",
        "domain": null,
        "type": "direct",
        "provenance": "seo_data",
        "confidence": 0,
        "intersections": null,
        "reason_codes": [
          "string"
        ]
      }
    ],
    "warnings": [
      "string"
    ],
    "error": null,
    "creditsCharged": 0,
    "createdAt": "string",
    "startedAt": null,
    "completedAt": null
  }
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}